Bug 478086 - MIGRATED_FROM_JIRA: Post-Install chmod a+x failed on Mac OS X Platform
MIGRATED_FROM_JIRA: Post-Install chmod a+x failed on Mac OS X Platform
Status: CLOSED UPSTREAM
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Chandrasekar Kannan
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:57 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 02:57:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:57:48 EST
The current installer for Mac failed to execute permissions as the last 
step.. 
So to make "Penrose Studio.app" double clickable, you need to execute 
this: 

sudo chmod a+x /Applications/Penrose\ Studio/Penrose\ Studio.app/Contents/MacOS/* 

We are going to work on a DMG-based installer for Penrose Studio that is native to Mac OS X. 
Additional Comments From jimyang dated Fri Sep 16 14:04:28 CDT 2005 
We created a DMG-based installer. To install Penrose Studio, you just simply mount the dmg and drag/drop the Penrose Studio to your Applications Folder. 

Additional Comments From jimyang dated Fri Sep 16 14:05:05 CDT 2005 
This is fixed. Macos X has a separate installer that is based on DMG


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '6',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-93',
          'assignee' => 'jimyang',
          'summary' => 'Post-Install chmod a+x failed on Mac OS X Platform',
          'id' => '10285',
          'updated' => '2005-09-17 11:57:27.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-09-15 00:00:00.0',
                             'sequence' => '5',
                             'name' => 'Penrose-0.9.5',
                             'released' => 'true',
                             'id' => '10022',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'The current installer for Mac failed to execute permissions as the last 
step.. 
So to make "Penrose Studio.app" double clickable, you need to execute 
this: 

sudo chmod a+x /Applications/Penrose\\ Studio/Penrose\\ Studio.app/Contents/MacOS/* 

We are going to work on a DMG-based installer for Penrose Studio that is native to Mac OS X. ',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-09-15 00:00:00.0',
                                 'sequence' => '5',
                                 'name' => 'Penrose-0.9.5',
                                 'released' => 'true',
                                 'id' => '10022',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2005-09-16 12:41:59.0',
          'environment' => 'Mac OS X 10.4.2',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:57:50 EST
Closing bug as it was already closed in Jira - PENROSE-93

Note You need to log in before you can comment on or make changes to this bug.